Subject: Ticket Assigned - NEW SUPPLIER FROM SHANDONG TRANS-EUROPEAN CO.,LTD
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Fri, 06 Nov 2020 03:03:38 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  NEW SUPPLIER FROM SHANDONG TRANS-EUROPEAN CO.,LTD Dear sir:

Good day!

I'm Abbout Lu from Shandong Trans-European business and trade Co.，Ltd. We mainly produce memory foam / latex seat cushion, neck pillow, and waist pillow with best price and high quality.
From the website I know that your company sells pillow cushion products, how do you feel about experiencing a new supplier? I believe our company can bring you better products and create more wealth for you.

If you have any request, pls contact me, I can arrange sample for you at first time.

Best regards,

Abbout Lu
International Trade Department
SHANDONG TRANS-EUROPEAN BUSINESS AND TRADE CO., LTD
Room 1518, Office Building 8, Wanda Plaza, Tai'an City, Shandong Province 271000
Direct Line: +86-538-8266787
PHONE&WECHAT:15550849970EMAIL:[email-masked]
Main products: Memory foam seat cushion, bedding pillow, neck pillow; gel cushion; latex pillow/cushions

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1652713